package gov.usgs.earthquake.nshmp.netcdf.www;

import gov.usgs.earthquake.nshmp.gmm.NehrpSiteClass;

public class Query {
  public final Double longitude;
  public final Double latitude;
  public final NehrpSiteClass siteClass;

  public Query(Double longitude, Double latitude, NehrpSiteClass siteClass) {
    this.longitude = longitude;
    this.latitude = latitude;
    this.siteClass = siteClass;
  }

  public static enum Service {
    CURVES,
    CURVES_BY_SITE_CLASS,
    CURVES_BY_IMT,
  }
}
